Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.PayLoadData Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | PayLoadData ()
| Constructor.
def | PayLoadData (version, crypto_filter, file_name, file_size, description)
| Constructor, with parameters. More...
def | PayLoadData (payload_data)
| Constructor, with another payload data object. More...
def | Set (version, crypto_filter, file_name, file_size, description)
| Set value. More...

## Static Public Attributes
| crypto_filter = _fsdk.PayLoadData_crypto_filter
| The name of the cryptographic filter used to encrypt the encrypted payload document.
| description = _fsdk.PayLoadData_description
| Description for payload file to show applications or confront users prompt information.
| file_name = _fsdk.PayLoadData_file_name
| The payload file name.
| file_size = _fsdk.PayLoadData_file_size
| The payload file size.
| version = _fsdk.PayLoadData_version
| The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.

## Detailed Description

This class represents payload data, which is used for a PDF 2.0 wrapped PDF document.

## Constructor & Destructor Documentation

## ◆ PayLoadData() [1/2]

def FoxitPDFSDKPython3.PayLoadData.PayLoadData | ( |  | version,
|  |  | crypto_filter,
|  |  | file_name,
|  |  | file_size,
|  |  | description
| ) |  |

Constructor, with parameters.

Parameters

  [in] | version | The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.
  [in] | crypto_filter | The name of the cryptographic filter used to encrypt the encrypted payload document.
  [in] | file_name | The payload file name.
  [in] | file_size | The payload file size.
  [in] | description | Description for payload file to show applications or confront users prompt information.

## ◆ PayLoadData() [2/2]

def FoxitPDFSDKPython3.PayLoadData.PayLoadData | ( |  | payload_data | ) |

Constructor, with another payload data object.

Parameters

  [in] | payload_data | Another payload data object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.PayLoadData.Set | ( |  | version,
|  |  | crypto_filter,
|  |  | file_name,
|  |  | file_size,
|  |  | description
| ) |  |

Set value.

Parameters

  [in] | version | The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.
  [in] | crypto_filter | The name of the cryptographic filter used to encrypt the encrypted payload document.
  [in] | file_name | The payload file name.
  [in] | file_size | The payload file size.
  [in] | description | Description for payload file to show applications or confront users prompt information.